Skip to main content
GET
/
report_schedules
/
{schedule_id}
curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6 \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "id": "rpt_sch_Gqjh8pzeUfzH6",
  "types": [
    "ach.pull.nightly"
  ],
  "delivery_methods": [
    "webhook",
    "email"
  ],
  "recipients": [
    "example@methodfi.com"
  ],
  "cron": "0 8 * * *",
  "status": "active",
  "created_at": "2026-06-01T13:21:10.386Z",
  "updated_at": "2026-06-01T13:21:10.386Z"
}
Returns the Report Schedule object associated with the ID.

Path Parameters

Returns

Returns the Report Schedule object associated with the ID.
curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6 \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "id": "rpt_sch_Gqjh8pzeUfzH6",
  "types": [
    "ach.pull.nightly"
  ],
  "delivery_methods": [
    "webhook",
    "email"
  ],
  "recipients": [
    "example@methodfi.com"
  ],
  "cron": "0 8 * * *",
  "status": "active",
  "created_at": "2026-06-01T13:21:10.386Z",
  "updated_at": "2026-06-01T13:21:10.386Z"
}